Skip to main content
`Ctrl`+`K`

# MatCoarsenView

Prints the coarsen data structure.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatCoarsenView(MatCoarsen agg, PetscViewer viewer)

Collective

## Input Parameters

- agg - the coarsen context

- viewer - optional visualization context

For viewing the options database see `MatCoarsenViewFromOptions()`

## See Also

`MatCoarsen`, `PetscViewer`, `PetscViewerASCIIOpen()`, `MatCoarsenViewFromOptions`

## Level

advanced

## Location

src/mat/graphops/coarsen/interface/coarsen.c

## Implementations

MatCoarsenView_HEM() in src/mat/graphops/coarsen/impls/hem/hem.c
MatCoarsenView_MIS() in src/mat/graphops/coarsen/impls/mis/mis.c
MatCoarsenView_MISK() in src/mat/graphops/coarsen/impls/misk/misk.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages